Loading...
Searching...
No Matches
HybridBayesNet.cpp File Reference

A Bayes net of Gaussian Conditionals indexed by discrete keys. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::function< double(const Assignment< Key > &, double)> | gtsam::prunerFunc (const DecisionTreeFactor &prunedDecisionTree, const HybridConditional &conditional)
| Helper function to get the pruner functional.

## Detailed Description

A Bayes net of Gaussian Conditionals indexed by discrete keys.

Author
  Fan Jiang
  Varun Agrawal
  Shangjie Xue
  Frank Dellaert

Date
  January 2022